﻿@using System.Web.UI.WebControls;
@using System.Web.Util;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using DevExpress.XtraEditors.Mask;
 

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Trucking";
                }).GetHtml()
        </td>
        <td>
             @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "gridLPAdd";
                    //s.GridProperties.Name = "grlLPHeaderGridAdd";
                    s.GridProperties.KeyFieldName = "LPCode";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "RoutePrice", Action = "CallBackLPadd" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.ReadOnly = true;
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPCode";
                        c.FieldName = "LPCode";
                        c.Caption = "Trucking";
                        c.Width = Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LPName";
                        c.FieldName = "LPName";
                        c.Caption = "Trucking Name";
                    });
                }
                     ).Bind(ViewData["viewLP"]).GetHtml()
        </td>
    </tr>
    <tr>
       @*<td style="width: 100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route Name";
                }).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtRouteName";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 150;
                        settings.Properties.MaxLength = 30;
                    }
                ).GetHtml()
        </td>*@
    </tr>
    <tr>
        <td style="width: 100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route";
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "gridRouteAdd";
                    //s.GridProperties.Name = "grlLPHeaderGridRouteAdd";
                    s.GridProperties.KeyFieldName = "ROUTE";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "RoutePrice", Action = "CallBackRouteAdd" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(250);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.ReadOnly = true;
                    s.GridProperties.CommandColumn.Width = Unit.Pixel(15);
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "ROUTECode";
                        c.FieldName = "ROUTE";
                        c.Caption = "Route";
                        c.Width = Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "ROUTEName";
                        c.FieldName = "ROUTE_NAME";
                        c.Caption = "Route Name";
                        //c.Width = Unit.Pixel(140);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    });
                }
                     ).Bind(ViewData["viewRoute"]).GetHtml()
        </td>
        
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Price (IDR)";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "sePrice";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                    //settings.Properties.DisplayFormatString = "#,##";
                    settings.Properties.DisplayFormatString = "N0";
                    settings.Properties.DecimalPlaces = 0;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 10000000000000;
                    //settings.Properties 
                 }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Valid From";
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "deValidFrom";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 150;
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        //settings.Properties.UseMaskBehavior = true;
                        //settings.Properties.EditFormat = EditFormat.Custom;
                    }
                ).GetHtml()
        </td>
    </tr>

</table>

<table border="0" cellpadding="2" cellspacing="0" width="262">
    <tr>
        <td align="left" style="width: 50px">
            
        </td>

        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSave";
                    button.Text = "Save";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnSave_click";

                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnCancel";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnCancel_click";
                }
            ).GetHtml()
        </td>
    </tr>
</table>
